### Signal

# Json Parser::array-end

#### Declaration

    void
    array_end (
      JsonParser* self,
      JsonArray* array,
      gpointer user_data
    )

#### Description [src]

The `::array-end` signal is emitted each time a parser has successfully parsed an entire JSON array.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`array`

  Type: `JsonArray`

  The parsed JSON array.

  The data is owned by the caller of the function.